7.8
CWE
416
Advisory Published
CVE Published
Rejected
Rejected
Updated

CVE-2023-4128: Kernel: net/sched: use-after-free vulnerabilities in the net/sched classifiers: cls_fw, cls_u32 and cls_route

First published: Tue Jul 25 2023(Updated: )

** REJECT ** DO NOT USE THIS CVE RECORD. ConsultIDs: CVE-2023-4206, CVE-2023-4207, CVE-2023-4208. Reason: This record is a duplicate of CVE-2023-4206, CVE-2023-4207, CVE-2023-4208. Notes: All CVE users should reference CVE-2023-4206, CVE-2023-4207, CVE-2023-4208 instead of this record. All references and descriptions in this record have been removed to prevent accidental usage.

Credit: secalert@redhat.com secalert@redhat.com secalert@redhat.com

Affected SoftwareAffected VersionHow to fix
redhat/kernel<0:4.18.0-147.90.1.el8_1
0:4.18.0-147.90.1.el8_1
redhat/kernel<0:4.18.0-193.116.1.el8_2
0:4.18.0-193.116.1.el8_2
redhat/kernel-rt<0:4.18.0-193.116.1.rt13.167.el8_2
0:4.18.0-193.116.1.rt13.167.el8_2
redhat/kernel<0:4.18.0-305.108.1.el8_4
0:4.18.0-305.108.1.el8_4
redhat/kernel<0:4.18.0-372.75.1.el8_6
0:4.18.0-372.75.1.el8_6
redhat/kernel<0:5.14.0-70.75.1.el9_0
0:5.14.0-70.75.1.el9_0
redhat/kernel-rt<0:5.14.0-70.75.1.rt21.146.el9_0
0:5.14.0-70.75.1.rt21.146.el9_0
Linux Linux kernel<6.5
Linux Linux kernel=6.5
Linux Linux kernel=6.5-rc1
Linux Linux kernel=6.5-rc2
Linux Linux kernel=6.5-rc3
Linux Linux kernel=6.5-rc4
Fedoraproject Fedora=37
Fedoraproject Fedora=38
Redhat Enterprise Linux=7.0
Redhat Enterprise Linux=8.0
Redhat Enterprise Linux=9.0
redhat/Kernel<6.5
6.5
IBM QRadar SIEM<=7.5 - 7.5.0 UP8 IF01

Remedy

Mitigation for this issue is either not available or the currently available options don't meet the Red Hat Product Security criteria comprising ease of use and deployment, applicability to widespread installation base or stability.

Remedy

If not needed, disable the ability for unprivileged users to create namespaces. To do this temporarily, do: sudo sysctl -w kernel.unprivileged_userns_clone=0 To disable across reboots, do: echo kernel.unprivileged_userns_clone=0 | \ sudo tee /etc/sysctl.d/99-disable-unpriv-userns.conf

Never miss a vulnerability like this again

Sign up to SecAlerts for real-time vulnerability data matched to your software, aggregated from hundreds of sources.

Reference Links

Contact

SecAlerts Pty Ltd.
132 Wickham Terrace
Fortitude Valley,
QLD 4006, Australia
info@secalerts.co
By using SecAlerts services, you agree to our services end-user license agreement. This website is safeguarded by reCAPTCHA and governed by the Google Privacy Policy and Terms of Service. All names, logos, and brands of products are owned by their respective owners, and any usage of these names, logos, and brands for identification purposes only does not imply endorsement. If you possess any content that requires removal, please get in touch with us.
© 2024 SecAlerts Pty Ltd.
ABN: 70 645 966 203, ACN: 645 966 203